Bug 1121658 - [RFE] Support RFC 5649: Advanced Encryption Standard (AES) Key Wrap with Padding Algorithm
Summary: [RFE] Support RFC 5649: Advanced Encryption Standard (AES) Key Wrap with Padd...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openssl
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1119738
Blocks: 998522 1115294 1249775
TreeView+ depends on / blocked
 
Reported: 2014-07-21 13:44 UTC by Petr Spacek
Modified: 2015-08-03 19:06 UTC (History)
6 users (show)

Fixed In Version: openssl-1.0.1i-4.fc21
Doc Type: Enhancement
Doc Text:
Clone Of: 1119738
Environment:
Last Closed: 2014-09-23 04:42:19 UTC


Attachments (Terms of Use)

Description Petr Spacek 2014-07-21 13:44:37 UTC
+++ This bug was initially created as a clone of Bug #1119738 +++

Description of problem:
Support for RFC 5649 is a requirement for DNSSEC support in FreeIPA.

Patches were sent upstream: http://rt.openssl.org/Ticket/Display.html?id=3434

--- Additional comment from Petr Spacek on 2014-07-21 10:05:17 CEST ---

Support was merged upstream. Please see upstream commit: https://github.com/openssl/openssl/commit/d31fed73e25391cd71a0de488d88724db78f6f8a

Comment 1 Petr Spacek 2014-07-21 13:45:34 UTC
It would be nice to get also patches for F20 so we can have F20 COPR build. Thank you very much!

Comment 2 Petr Spacek 2014-08-15 16:07:16 UTC
Do you have any update on this, Tomas? Can we rely on it for Fedora 21?

Comment 3 Fedora Update System 2014-09-11 13:55:40 UTC
openssl-1.0.1i-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/openssl-1.0.1i-4.fc21

Comment 4 Fedora Update System 2014-09-11 22:11:50 UTC
Package openssl-1.0.1i-4.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openssl-1.0.1i-4.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10694/openssl-1.0.1i-4.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-09-23 04:42:19 UTC
openssl-1.0.1i-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.